Subject: bug#48801: 28.0.50; [PATCH] Feature suggestion gnus-retrieve-headers check for nov-is-evil when agent is enabled

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Jun 2021 11:36:38 +0200

Alex Bochannek <[email-masked]> writes:

> What I am trying to achieve is:
>
> - Allow limiting and scoring by newsgroup name in an nnvirtual group
> - Still use caching and agent mode for the nnvirtual and constituent
>   groups
>
> For the second part I simply set `gnus-agent-cache' to non-nil and add
> the constituent groups to the agent. I didn't see a need to add the
> virtual group to the agent, because as long as all constituent groups
> are, I still get caching and agent mode.

Hm...  Am I misreading the patch, then?  This bit:

      ((and gnus-agent (gnus-online gnus-command-method)
-	   (gnus-agent-method-p gnus-command-method))
+	   (gnus-agent-method-p gnus-command-method)
+	   (not gnus-nov-is-evil)
..
       (gnus-agent-retrieve-headers articles group fetch-old))

seems to disable the agent then gnus-nov-is-evil is set?

> P.S.: Is there a better place to discuss this? gmane.emacs.gnus.general?

Sure, but it's very low volume these days, so there's probably not that
many more people reading that group than the bug list.  :-/

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no